/*
 * [config]
 * expect_result: pass
 * glsl_version: 1.50
 * require_extensions: GL_ARB_shader_image_load_store
 * [end config]
 */
#version 150
#extension GL_ARB_shader_image_load_store: require

/*
 * From the ARB_shader_image_load_store spec:
 *
 * "[Images] can only be declared as function parameters or uniform
 *  variables."
 */
layout(rgba32f) uniform image2DMSArray img;
layout(rgba32ui) uniform uimage2DMSArray uimg;
layout(rgba32i) uniform iimage2DMSArray iimg;

void f(image2DMSArray arg,
       uimage2DMSArray uarg,
       iimage2DMSArray iarg)
{
}

void main()
{
}
